Subject: Re: JFFS2 on Lite5200

From: Andrey Volkov <[email-masked]>
Date: Wed, 18 Oct 2006 00:16:58 +0400

David Woodhouse wrote:
> On Tue, 2006-10-17 at 17:54 +0400, Andrey Volkov wrote:
>> No, MPC5200 could write any size chunks, but it must be aligned (same
>> restrictions as in SH4), and this restriction applied only to LPB, but
>> not SDRAM.
>>
>> Also, I've in view that jffs2(jffs3 ?) read/write stuff already used
>> functions which MTD drivers exported, but jffs2_scan_dirent_node and
>> friends - doesn't.
> 
> There are two modes of operation for JFFS2 scan. Either it can use the
> MTD device's read() function to read from the flash into memory and scan
> from there, or -- IF the flash can be accessed as if it were normal
> memory -- it can use the point() method and skip the read() call by
> using a pointer directly into the flash.
> 
> In your case, the flash cannot be accessed directly as if it were normal
> memory. So your map driver probably shouldn't be allowing point() to
> succeed.
> 
> Having said that, I'm not entirely sure we have the code set up so that
> 'simple' map drivers _can_ prevent point(). We may need to fix that.
David, thanks for an explanations (Artem already pointed me to this
jffs2 behavior).

--
Regards
Andrey